Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040836
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 00. Application dictionaryminorhave not tried2019-05-10 12:542019-12-12 23:01
ReporteralostaleView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision4d1fe2dbbb36
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040836: generate deprecated DAL java entities

DescriptionAD_Table and AD_Column tables have a development status column which aims to track deprecated and not implemented features. But this information is not used when generating DAL entities.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0040290 closedalostale do not generate one-to-many property in parent entity for all FK properties 
related to feature request 0040837 closedcberner improve javadoc of generated entities: db column for properties 

-  Notes
(0115106)
hgbot (developer)
2019-10-16 11:13

Repository: erp/devel/pi
Changeset: 4d1fe2dbbb360af5ffdd20fe5727672ef09daa14
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Oct 09 14:16:33 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4d1fe2dbbb360af5ffdd20fe5727672ef09daa14 [^]

fixes issue 40836: Generates deprecated tag and Javadoc for DAL entities

Generates deprecated tag and Javadoc @deprecated message for DAL entities that have set "Development Status" variable to Deprecated.
Also sets as deprecated getters and setters in entities that target deprecated entities.
OB property hb.generate.deprecated.properties must be set to true for the generation to happen.
If table is set to deprecated, generated entity class is marked as deprecated.
If column is set to deprecated, generated entity method corresponding to that property column is marked as deprecated.

---
M src-test/src/org/openbravo/test/model/RuntimeModelTest.java
M src/org/openbravo/base/gen/GenerateEntitiesTask.java
M src/org/openbravo/base/gen/entity.ftl
M src/org/openbravo/base/model/Entity.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/model/Property.java
---
(0115122)
AugustoMauch (developer)
2019-10-16 16:14

Code reviewed and verified
(0116250)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-10 12:54 alostale New Issue
2019-05-10 12:54 alostale Assigned To => platform
2019-05-10 12:54 alostale Modules => Core
2019-05-10 12:54 alostale Triggers an Emergency Pack => No
2019-05-10 12:55 alostale Relationship added depends on 0040290
2019-05-10 12:55 alostale Status new => acknowledged
2019-05-10 13:08 alostale Relationship added related to 0040837
2019-08-22 10:56 cberner Assigned To platform => cberner
2019-08-22 10:57 cberner Status acknowledged => scheduled
2019-08-22 10:57 cberner Review Assigned To => AugustoMauch
2019-10-16 11:13 hgbot Checkin
2019-10-16 11:13 hgbot Note Added: 0115106
2019-10-16 11:13 hgbot Status scheduled => resolved
2019-10-16 11:13 hgbot Resolution open => fixed
2019-10-16 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d1fe2dbbb360af5ffdd20fe5727672ef09daa14 [^]
2019-10-16 16:14 AugustoMauch Note Added: 0115122
2019-10-16 16:14 AugustoMauch Status resolved => closed
2019-10-16 16:14 AugustoMauch Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116250


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker